<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): SymbolScanner.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_symbol_scanner_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">SymbolScanner.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2014-2016, Freescale Semiconductor, Inc.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * Copyright 2016 NXP</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * All rights reserved.</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * Redistribution and use in source and binary forms, with or without modification,</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * o Redistributions of source code must retain the above copyright notice, this list</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *   of conditions and the following disclaimer.</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * o Redistributions in binary form must reproduce the above copyright notice, this</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *   list of conditions and the following disclaimer in the documentation and/or</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *   other materials provided with the distribution.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * o Neither the name of the copyright holder nor the names of its</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *   contributors may be used to endorse or promote products derived from this</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *   software without specific prior written permission.</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#ifndef _EMBEDDED_RPC__SYMBOLSCANNER_H_</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#define _EMBEDDED_RPC__SYMBOLSCANNER_H_</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &quot;AstWalker.h&quot;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &quot;types/SymbolScope.h&quot;</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &quot;types/Program.h&quot;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#include &quot;types/Interface.h&quot;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#include &quot;types/StructType.h&quot;</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#include &quot;types/EnumType.h&quot;</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#include &quot;types/EnumMember.h&quot;</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">#include &quot;types/AliasType.h&quot;</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor">#include &quot;types/UnionType.h&quot;</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="comment">// Classes</span></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceerpcgen.html">erpcgen</a></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;{</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_symbol_scanner.html">   55</a></span>&#160;<span class="keyword">class </span><a class="code" href="classerpcgen_1_1_symbol_scanner.html">SymbolScanner</a> : <span class="keyword">public</span> <a class="code" href="classerpcgen_1_1_ast_walker.html">AstWalker</a></div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;{</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_symbol_scanner.html#a34c988ade06d9265c796dd7147e4b877">   65</a></span>&#160;    <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a34c988ade06d9265c796dd7147e4b877">SymbolScanner</a>(<a class="code" href="classerpcgen_1_1_symbol_scope.html">SymbolScope</a> *globals)</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    : <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a8939c9306c0bff547ab848bc7a8e3f0d">m_globals</a>(globals)</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    , <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a7ba110a90837cd80bdb2b953ed897653">m_currentInterface</a>(nullptr)</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    , <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a0adea2a4721662bb19935a6471a85587">m_currentStruct</a>(nullptr)</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    , <a class="code" href="classerpcgen_1_1_symbol_scanner.html#acc5d03d6bc58fb5de9722d8aa869585c">m_currentProgram</a>(nullptr)</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    , <a class="code" href="classerpcgen_1_1_symbol_scanner.html#aedf72c7d898a4da847f93fa8eaf5d5a2">m_currentEnum</a>(nullptr)</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    , <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a0a1ec6e5b5fe8c8ff87ff309cdbe7d06">m_currentAlias</a>(nullptr)</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    , <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a644fd81c950549868ac71556d5107ff8">m_currentUnion</a>(nullptr)</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    , <a class="code" href="classerpcgen_1_1_symbol_scanner.html#afd837f1e7401fe426b8f7153778428ab">m_isNewInterface</a>(false)</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    {</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    }</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_symbol_scanner.html#a60718d30940b8eb98a7fbc5cb1fd0172">   85</a></span>&#160;    <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a60718d30940b8eb98a7fbc5cb1fd0172">SymbolScanner</a>(<a class="code" href="classerpcgen_1_1_symbol_scope.html">SymbolScope</a> *globals, std::string fileName)</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    : <a class="code" href="classerpcgen_1_1_ast_walker.html">AstWalker</a>(fileName)</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    , <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a8939c9306c0bff547ab848bc7a8e3f0d">m_globals</a>(globals)</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    , <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a7ba110a90837cd80bdb2b953ed897653">m_currentInterface</a>(nullptr)</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    , <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a0adea2a4721662bb19935a6471a85587">m_currentStruct</a>(nullptr)</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    , <a class="code" href="classerpcgen_1_1_symbol_scanner.html#acc5d03d6bc58fb5de9722d8aa869585c">m_currentProgram</a>(nullptr)</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    , <a class="code" href="classerpcgen_1_1_symbol_scanner.html#aedf72c7d898a4da847f93fa8eaf5d5a2">m_currentEnum</a>(nullptr)</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    , <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a0a1ec6e5b5fe8c8ff87ff309cdbe7d06">m_currentAlias</a>(nullptr)</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    , <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a644fd81c950549868ac71556d5107ff8">m_currentUnion</a>(nullptr)</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    , <a class="code" href="classerpcgen_1_1_symbol_scanner.html#afd837f1e7401fe426b8f7153778428ab">m_isNewInterface</a>(false)</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    {</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    }</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_symbol_scanner.html#a1992fbce06868cd683ce52a609efa9df">  101</a></span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a1992fbce06868cd683ce52a609efa9df">~SymbolScanner</a>() {}</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    <a class="code" href="classerpcgen_1_1_symbol_scope.html">SymbolScope</a></div><div class="line"><a name="l00105"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_symbol_scanner.html#a8939c9306c0bff547ab848bc7a8e3f0d">  105</a></span>&#160;        *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a8939c9306c0bff547ab848bc7a8e3f0d">m_globals</a>; </div><div class="line"><a name="l00106"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_symbol_scanner.html#a7ba110a90837cd80bdb2b953ed897653">  106</a></span>&#160;    <a class="code" href="classerpcgen_1_1_interface.html">Interface</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a7ba110a90837cd80bdb2b953ed897653">m_currentInterface</a>;              </div><div class="line"><a name="l00107"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_symbol_scanner.html#a0adea2a4721662bb19935a6471a85587">  107</a></span>&#160;    <a class="code" href="classerpcgen_1_1_struct_type.html">StructType</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a0adea2a4721662bb19935a6471a85587">m_currentStruct</a>;                </div><div class="line"><a name="l00108"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_symbol_scanner.html#acc5d03d6bc58fb5de9722d8aa869585c">  108</a></span>&#160;    <a class="code" href="classerpcgen_1_1_program.html">Program</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#acc5d03d6bc58fb5de9722d8aa869585c">m_currentProgram</a>;                  </div><div class="line"><a name="l00109"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_symbol_scanner.html#aedf72c7d898a4da847f93fa8eaf5d5a2">  109</a></span>&#160;    <a class="code" href="classerpcgen_1_1_enum_type.html">EnumType</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#aedf72c7d898a4da847f93fa8eaf5d5a2">m_currentEnum</a>;                    </div><div class="line"><a name="l00110"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_symbol_scanner.html#a0a1ec6e5b5fe8c8ff87ff309cdbe7d06">  110</a></span>&#160;    <a class="code" href="classerpcgen_1_1_alias_type.html">AliasType</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a0a1ec6e5b5fe8c8ff87ff309cdbe7d06">m_currentAlias</a>;                  </div><div class="line"><a name="l00111"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_symbol_scanner.html#a644fd81c950549868ac71556d5107ff8">  111</a></span>&#160;    <a class="code" href="classerpcgen_1_1_union_type.html">UnionType</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a644fd81c950549868ac71556d5107ff8">m_currentUnion</a>;                  </div><div class="line"><a name="l00112"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_symbol_scanner.html#a1ae5446ab7d2298aa7316a06f495e179">  112</a></span>&#160;    std::vector&lt;UnionCase *&gt; <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a1ae5446ab7d2298aa7316a06f495e179">m_emptyUnionCases</a>; </div><div class="line"><a name="l00113"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_symbol_scanner.html#afd837f1e7401fe426b8f7153778428ab">  113</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_symbol_scanner.html#afd837f1e7401fe426b8f7153778428ab">m_isNewInterface</a>;                      </div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a7374237b17e78f85865648e85679915f">handleProgram</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1top__down">top_down</a>);</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a7374237b17e78f85865648e85679915f">handleProgram</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1bottom__up">bottom_up</a>);</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#ae830b7a91e82c20ba6d84dd128059a58">handleConst</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1bottom__up">bottom_up</a>);</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#aaabfbb73f78416689085fc5786cd9dd6">handleType</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1top__down">top_down</a>);</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#aaabfbb73f78416689085fc5786cd9dd6">handleType</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1bottom__up">bottom_up</a>);</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a61eb2d804a00c1a0373ba4909e7463bf">handleEnum</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1top__down">top_down</a>);</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a61eb2d804a00c1a0373ba4909e7463bf">handleEnum</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1bottom__up">bottom_up</a>);</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#ab80f39db06c9a89257b6360e5f210f35">handleEnumMember</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1bottom__up">bottom_up</a>);</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a82ae6e13565cfd36fc2d77efa94e6fac">enumMemberHasValue</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *enumMember);</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a5637e3a39559293f63e5dae8d28b45e9">handleExpr</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1bottom__up">bottom_up</a>);</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;</div><div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a75fb8d494d232ded8886d1b5b0e1f08f">handleBinaryOp</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1bottom__up">bottom_up</a>);</div><div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;</div><div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a9f0b897188b204de9bf710b1218431ec">handleUnaryOp</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1bottom__up">bottom_up</a>);</div><div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;</div><div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#aed8bc41fd838bc0c76ab690b744de4b6">handleStruct</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1top__down">top_down</a>);</div><div class="line"><a name="l00287"></a><span class="lineno">  287</span>&#160;</div><div class="line"><a name="l00299"></a><span class="lineno">  299</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#aed8bc41fd838bc0c76ab690b744de4b6">handleStruct</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1bottom__up">bottom_up</a>);</div><div class="line"><a name="l00300"></a><span class="lineno">  300</span>&#160;</div><div class="line"><a name="l00313"></a><span class="lineno">  313</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a6ff9c94aa43c9c569afe35af03d731d5">handleStructMember</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1bottom__up">bottom_up</a>);</div><div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160;</div><div class="line"><a name="l00315"></a><span class="lineno">  315</span>&#160;    <span class="comment">// TODO: Update doxygen for union functions</span></div><div class="line"><a name="l00327"></a><span class="lineno">  327</span>&#160;<span class="comment"></span>    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#af13428f3cef176398b31345eba8649c9">handleUnion</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1top__down">top_down</a>);</div><div class="line"><a name="l00328"></a><span class="lineno">  328</span>&#160;</div><div class="line"><a name="l00340"></a><span class="lineno">  340</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#af13428f3cef176398b31345eba8649c9">handleUnion</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1bottom__up">bottom_up</a>);</div><div class="line"><a name="l00341"></a><span class="lineno">  341</span>&#160;</div><div class="line"><a name="l00351"></a><span class="lineno">  351</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a1555a6538ea9f825d4cc436d7374f556">handleUnionCase</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1top__down">top_down</a>);</div><div class="line"><a name="l00352"></a><span class="lineno">  352</span>&#160;</div><div class="line"><a name="l00364"></a><span class="lineno">  364</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a1555a6538ea9f825d4cc436d7374f556">handleUnionCase</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1bottom__up">bottom_up</a>);</div><div class="line"><a name="l00365"></a><span class="lineno">  365</span>&#160;</div><div class="line"><a name="l00380"></a><span class="lineno">  380</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a0f8af1e3b8d1bb5cb4e1320269708a5c">handleInterface</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1top__down">top_down</a>);</div><div class="line"><a name="l00381"></a><span class="lineno">  381</span>&#160;</div><div class="line"><a name="l00393"></a><span class="lineno">  393</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a0f8af1e3b8d1bb5cb4e1320269708a5c">handleInterface</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1bottom__up">bottom_up</a>);</div><div class="line"><a name="l00394"></a><span class="lineno">  394</span>&#160;</div><div class="line"><a name="l00407"></a><span class="lineno">  407</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a4166eb7a9c84fbe956d528a98a45aaaa">handleFunction</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1top__down">top_down</a>);</div><div class="line"><a name="l00408"></a><span class="lineno">  408</span>&#160;</div><div class="line"><a name="l00420"></a><span class="lineno">  420</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a4166eb7a9c84fbe956d528a98a45aaaa">handleFunction</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1bottom__up">bottom_up</a>);</div><div class="line"><a name="l00421"></a><span class="lineno">  421</span>&#160;</div><div class="line"><a name="l00436"></a><span class="lineno">  436</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a3355d449482cd4841311695d072bebe7">handleParam</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1top__down">top_down</a>);</div><div class="line"><a name="l00437"></a><span class="lineno">  437</span>&#160;</div><div class="line"><a name="l00449"></a><span class="lineno">  449</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a3355d449482cd4841311695d072bebe7">handleParam</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *node, <a class="code" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1bottom__up">bottom_up</a>);</div><div class="line"><a name="l00450"></a><span class="lineno">  450</span>&#160;</div><div class="line"><a name="l00458"></a><span class="lineno">  458</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a2aa6a9af2a661c16316186b4412f69ae">setParameterDirection</a>(<a class="code" href="classerpcgen_1_1_struct_member.html">StructMember</a> *param, <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *directionNode);</div><div class="line"><a name="l00459"></a><span class="lineno">  459</span>&#160;</div><div class="line"><a name="l00470"></a><span class="lineno">  470</span>&#160;    <a class="code" href="class_value.html">Value</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#aebf449e771d235701c27d9aac189fe8e">getValueFromSymbol</a>(<a class="code" href="classerpcgen_1_1_token.html">Token</a> &amp;tok);</div><div class="line"><a name="l00471"></a><span class="lineno">  471</span>&#160;</div><div class="line"><a name="l00480"></a><span class="lineno">  480</span>&#160;    <a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#acde41fe4095aea2af8c986cb58df3ad3">getDataTypeForConst</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *typeNode);</div><div class="line"><a name="l00481"></a><span class="lineno">  481</span>&#160;</div><div class="line"><a name="l00490"></a><span class="lineno">  490</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a4bee4c48a970f97f90d9e0c9f850b427">containsStructEnumDeclaration</a>(<span class="keyword">const</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *typeNode);</div><div class="line"><a name="l00491"></a><span class="lineno">  491</span>&#160;</div><div class="line"><a name="l00508"></a><span class="lineno">  508</span>&#160;    <a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a0811489d142af0278b760898446c04bb">lookupDataType</a>(<span class="keyword">const</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *typeNode);</div><div class="line"><a name="l00509"></a><span class="lineno">  509</span>&#160;</div><div class="line"><a name="l00523"></a><span class="lineno">  523</span>&#160;    <a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#af0f9c3c1b78a23f67825ebe583926385">createListType</a>(<span class="keyword">const</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *typeNode);</div><div class="line"><a name="l00524"></a><span class="lineno">  524</span>&#160;</div><div class="line"><a name="l00537"></a><span class="lineno">  537</span>&#160;    <a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#acdc6221191a0e32e3c05c2709e38e030">createArrayType</a>(<span class="keyword">const</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *typeNode);</div><div class="line"><a name="l00538"></a><span class="lineno">  538</span>&#160;</div><div class="line"><a name="l00556"></a><span class="lineno">  556</span>&#160;    <a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a9a55751bcc2aa95ba7b4612546e64008">lookupDataTypeByName</a>(<span class="keyword">const</span> <a class="code" href="classerpcgen_1_1_token.html">Token</a> &amp;tok, <a class="code" href="classerpcgen_1_1_symbol_scope.html">SymbolScope</a> *scope, <span class="keywordtype">bool</span> recursive = <span class="keyword">true</span>);</div><div class="line"><a name="l00557"></a><span class="lineno">  557</span>&#160;</div><div class="line"><a name="l00570"></a><span class="lineno">  570</span>&#160;    uint32_t <a class="code" href="classerpcgen_1_1_symbol_scanner.html#aa92bcf3194cca555ec59bc7f5ecc2eb6">getIntExprValue</a>(<span class="keyword">const</span> <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *exprNode);</div><div class="line"><a name="l00571"></a><span class="lineno">  571</span>&#160;</div><div class="line"><a name="l00579"></a><span class="lineno">  579</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a69dc05e5795c93d720febd77a2600819">dataTypeIsAString</a>(<a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *<span class="keyword">const</span> constDataType);</div><div class="line"><a name="l00580"></a><span class="lineno">  580</span>&#160;</div><div class="line"><a name="l00589"></a><span class="lineno">  589</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a7e2a3b76e119d313a281a535da35fd1b">rhsIsAStringLiteral</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *rhs);</div><div class="line"><a name="l00590"></a><span class="lineno">  590</span>&#160;</div><div class="line"><a name="l00599"></a><span class="lineno">  599</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a97aaea9edc087a622eabbae8645b560c">rhsIsAnExpression</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *rhs);</div><div class="line"><a name="l00600"></a><span class="lineno">  600</span>&#160;</div><div class="line"><a name="l00609"></a><span class="lineno">  609</span>&#160;    <a class="code" href="class_value.html">Value</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#a9ac20033318390d892f89e6b979c9cf6">getValueForConst</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<span class="keyword">const</span> node, <a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *<span class="keyword">const</span> constDataType);</div><div class="line"><a name="l00610"></a><span class="lineno">  610</span>&#160;</div><div class="line"><a name="l00617"></a><span class="lineno">  617</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a1b394122e66eb26f01e4544d87565fd5">addAnnotations</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *childTok, <a class="code" href="classerpcgen_1_1_symbol.html">Symbol</a> *symbol);</div><div class="line"><a name="l00618"></a><span class="lineno">  618</span>&#160;</div><div class="line"><a name="l00625"></a><span class="lineno">  625</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a3169719020d6894ccf41faeb5e829965">checkAnnotationBeforeAdding</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *annotation, <a class="code" href="classerpcgen_1_1_symbol.html">Symbol</a> *symbol);</div><div class="line"><a name="l00626"></a><span class="lineno">  626</span>&#160;</div><div class="line"><a name="l00634"></a><span class="lineno">  634</span>&#160;    <a class="code" href="class_value.html">Value</a> *<a class="code" href="classerpcgen_1_1_symbol_scanner.html#ae54de042f4e6cb0c6882e5a937edba48">getAnnotationValue</a>(<a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *annotationNode);</div><div class="line"><a name="l00635"></a><span class="lineno">  635</span>&#160;</div><div class="line"><a name="l00644"></a><span class="lineno">  644</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a9d55088b476045fdb3e2518ba0d5f225">scanStructForAnnotations</a>(<a class="code" href="classerpcgen_1_1_struct_type.html">StructType</a> *structType);</div><div class="line"><a name="l00645"></a><span class="lineno">  645</span>&#160;</div><div class="line"><a name="l00652"></a><span class="lineno">  652</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_symbol_scanner.html#a602281c2326acb2962d8185eb81afd3d">checkIfAnnValueIsIntNumberOrIntType</a>(<a class="code" href="classerpcgen_1_1_struct_type.html">StructType</a> *structType, <a class="code" href="classerpcgen_1_1_annotation.html">Annotation</a> *ann);</div><div class="line"><a name="l00653"></a><span class="lineno">  653</span>&#160;};</div><div class="line"><a name="l00654"></a><span class="lineno">  654</span>&#160;</div><div class="line"><a name="l00655"></a><span class="lineno">  655</span>&#160;} <span class="comment">// namespace erpcgen</span></div><div class="line"><a name="l00656"></a><span class="lineno">  656</span>&#160;</div><div class="line"><a name="l00657"></a><span class="lineno">  657</span>&#160;<span class="preprocessor">#endif // _EMBEDDED_RPC__SYMBOLSCANNER_H_</span></div><div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a6ff9c94aa43c9c569afe35af03d731d5"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a6ff9c94aa43c9c569afe35af03d731d5">erpcgen::SymbolScanner::handleStructMember</a></div><div class="ttdeci">virtual AstNode * handleStructMember(AstNode *node, bottom_up)</div><div class="ttdoc">This function end handle struct member. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:708</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a1992fbce06868cd683ce52a609efa9df"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a1992fbce06868cd683ce52a609efa9df">erpcgen::SymbolScanner::~SymbolScanner</a></div><div class="ttdeci">virtual ~SymbolScanner()</div><div class="ttdoc">Destructor. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.h:101</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a9a55751bcc2aa95ba7b4612546e64008"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a9a55751bcc2aa95ba7b4612546e64008">erpcgen::SymbolScanner::lookupDataTypeByName</a></div><div class="ttdeci">DataType * lookupDataTypeByName(const Token &amp;tok, SymbolScope *scope, bool recursive=true)</div><div class="ttdoc">This function returns pointer to new type object. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:1090</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_ab80f39db06c9a89257b6360e5f210f35"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#ab80f39db06c9a89257b6360e5f210f35">erpcgen::SymbolScanner::handleEnumMember</a></div><div class="ttdeci">virtual AstNode * handleEnumMember(AstNode *node, bottom_up)</div><div class="ttdoc">This function end handle enum member. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:280</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a69dc05e5795c93d720febd77a2600819"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a69dc05e5795c93d720febd77a2600819">erpcgen::SymbolScanner::dataTypeIsAString</a></div><div class="ttdeci">bool dataTypeIsAString(DataType *const constDataType)</div><div class="ttdoc">Determines if the datatype (aliased or not) can hold string data. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:138</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a3169719020d6894ccf41faeb5e829965"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a3169719020d6894ccf41faeb5e829965">erpcgen::SymbolScanner::checkAnnotationBeforeAdding</a></div><div class="ttdeci">void checkAnnotationBeforeAdding(AstNode *annotation, Symbol *symbol)</div><div class="ttdoc">This function check annotation just before it will be added to symbol. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:1300</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a4bee4c48a970f97f90d9e0c9f850b427"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a4bee4c48a970f97f90d9e0c9f850b427">erpcgen::SymbolScanner::containsStructEnumDeclaration</a></div><div class="ttdeci">bool containsStructEnumDeclaration(const AstNode *typeNode)</div><div class="ttdoc">Returns true when given Astnode is enum or structure declaration. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:1107</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a0811489d142af0278b760898446c04bb"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a0811489d142af0278b760898446c04bb">erpcgen::SymbolScanner::lookupDataType</a></div><div class="ttdeci">DataType * lookupDataType(const AstNode *typeNode)</div><div class="ttdoc">This function returns pointer to new type object. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:1117</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></div><div class="ttdoc">Scans for symbol names. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.h:55</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a7e2a3b76e119d313a281a535da35fd1b"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a7e2a3b76e119d313a281a535da35fd1b">erpcgen::SymbolScanner::rhsIsAStringLiteral</a></div><div class="ttdeci">bool rhsIsAStringLiteral(AstNode *rhs)</div><div class="ttdoc">Determines if the right hand side of a constant declaration is a string literal. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:133</div></div>
<div class="ttc" id="classerpcgen_1_1_struct_member_html"><div class="ttname"><a href="classerpcgen_1_1_struct_member.html">erpcgen::StructMember</a></div><div class="ttdoc">Member of a struct. </div><div class="ttdef"><b>Definition:</b> StructMember.h:61</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a7ba110a90837cd80bdb2b953ed897653"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a7ba110a90837cd80bdb2b953ed897653">erpcgen::SymbolScanner::m_currentInterface</a></div><div class="ttdeci">Interface * m_currentInterface</div><div class="ttdef"><b>Definition:</b> SymbolScanner.h:106</div></div>
<div class="ttc" id="classerpcgen_1_1_annotation_html"><div class="ttname"><a href="classerpcgen_1_1_annotation.html">erpcgen::Annotation</a></div><div class="ttdoc">Annotation class. </div><div class="ttdef"><b>Definition:</b> Annotation.h:49</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_aed8bc41fd838bc0c76ab690b744de4b6"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#aed8bc41fd838bc0c76ab690b744de4b6">erpcgen::SymbolScanner::handleStruct</a></div><div class="ttdeci">virtual AstNode * handleStruct(AstNode *node, top_down)</div><div class="ttdoc">This function start handle struct. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:634</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a0adea2a4721662bb19935a6471a85587"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a0adea2a4721662bb19935a6471a85587">erpcgen::SymbolScanner::m_currentStruct</a></div><div class="ttdeci">StructType * m_currentStruct</div><div class="ttdef"><b>Definition:</b> SymbolScanner.h:107</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a9d55088b476045fdb3e2518ba0d5f225"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a9d55088b476045fdb3e2518ba0d5f225">erpcgen::SymbolScanner::scanStructForAnnotations</a></div><div class="ttdeci">void scanStructForAnnotations(StructType *structType)</div><div class="ttdoc">Controlling annotations used on structure members. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:1350</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a9f0b897188b204de9bf710b1218431ec"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a9f0b897188b204de9bf710b1218431ec">erpcgen::SymbolScanner::handleUnaryOp</a></div><div class="ttdeci">virtual AstNode * handleUnaryOp(AstNode *node, bottom_up)</div><div class="ttdoc">This function end handle unary operator. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:537</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_ae830b7a91e82c20ba6d84dd128059a58"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#ae830b7a91e82c20ba6d84dd128059a58">erpcgen::SymbolScanner::handleConst</a></div><div class="ttdeci">virtual AstNode * handleConst(AstNode *node, bottom_up)</div><div class="ttdoc">This function handles a constant definition. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:50</div></div>
<div class="ttc" id="classerpcgen_1_1_alias_type_html"><div class="ttname"><a href="classerpcgen_1_1_alias_type.html">erpcgen::AliasType</a></div><div class="ttdoc">Typedef. </div><div class="ttdef"><b>Definition:</b> AliasType.h:47</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_afd837f1e7401fe426b8f7153778428ab"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#afd837f1e7401fe426b8f7153778428ab">erpcgen::SymbolScanner::m_isNewInterface</a></div><div class="ttdeci">bool m_isNewInterface</div><div class="ttdef"><b>Definition:</b> SymbolScanner.h:113</div></div>
<div class="ttc" id="classerpcgen_1_1_ast_node_html"><div class="ttname"><a href="classerpcgen_1_1_ast_node.html">erpcgen::AstNode</a></div><div class="ttdoc">Homogeneous AST node class. </div><div class="ttdef"><b>Definition:</b> AstNode.h:57</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a3355d449482cd4841311695d072bebe7"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a3355d449482cd4841311695d072bebe7">erpcgen::SymbolScanner::handleParam</a></div><div class="ttdeci">virtual AstNode * handleParam(AstNode *node, top_down)</div><div class="ttdoc">This function start handle function parameter. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:1011</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_acde41fe4095aea2af8c986cb58df3ad3"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#acde41fe4095aea2af8c986cb58df3ad3">erpcgen::SymbolScanner::getDataTypeForConst</a></div><div class="ttdeci">DataType * getDataTypeForConst(AstNode *typeNode)</div><div class="ttdoc">This function returns the data type for a constant variable. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:158</div></div>
<div class="ttc" id="classerpcgen_1_1_ast_walker_html"><div class="ttname"><a href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a></div><div class="ttdoc">Performs a depth-first walk of an AST. </div><div class="ttdef"><b>Definition:</b> AstWalker.h:63</div></div>
<div class="ttc" id="classerpcgen_1_1_program_html"><div class="ttname"><a href="classerpcgen_1_1_program.html">erpcgen::Program</a></div><div class="ttdoc">Program declaration. </div><div class="ttdef"><b>Definition:</b> Program.h:49</div></div>
<div class="ttc" id="classerpcgen_1_1_struct_type_html"><div class="ttname"><a href="classerpcgen_1_1_struct_type.html">erpcgen::StructType</a></div><div class="ttdoc">Structure data type. </div><div class="ttdef"><b>Definition:</b> StructType.h:50</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_html"><div class="ttname"><a href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></div><div class="ttdoc">Base class for all named declarations in the IDL. </div><div class="ttdef"><b>Definition:</b> Symbol.h:49</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_ae54de042f4e6cb0c6882e5a937edba48"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#ae54de042f4e6cb0c6882e5a937edba48">erpcgen::SymbolScanner::getAnnotationValue</a></div><div class="ttdeci">Value * getAnnotationValue(AstNode *annotationNode)</div><div class="ttdoc">Helper function to get Value from annotation AstNode. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:1277</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a61eb2d804a00c1a0373ba4909e7463bf"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a61eb2d804a00c1a0373ba4909e7463bf">erpcgen::SymbolScanner::handleEnum</a></div><div class="ttdeci">virtual AstNode * handleEnum(AstNode *node, top_down)</div><div class="ttdoc">This function end handle enum. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:215</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_aa92bcf3194cca555ec59bc7f5ecc2eb6"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#aa92bcf3194cca555ec59bc7f5ecc2eb6">erpcgen::SymbolScanner::getIntExprValue</a></div><div class="ttdeci">uint32_t getIntExprValue(const AstNode *exprNode)</div><div class="ttdoc">This function returns token integer value. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:1205</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a60718d30940b8eb98a7fbc5cb1fd0172"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a60718d30940b8eb98a7fbc5cb1fd0172">erpcgen::SymbolScanner::SymbolScanner</a></div><div class="ttdeci">SymbolScanner(SymbolScope *globals, std::string fileName)</div><div class="ttdoc">This function is constructor of symbol scanner class. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.h:85</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a602281c2326acb2962d8185eb81afd3d"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a602281c2326acb2962d8185eb81afd3d">erpcgen::SymbolScanner::checkIfAnnValueIsIntNumberOrIntType</a></div><div class="ttdeci">void checkIfAnnValueIsIntNumberOrIntType(StructType *structType, Annotation *ann)</div><div class="ttdoc">Check if annotation is integer number or integer type variable. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:1426</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a7374237b17e78f85865648e85679915f"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a7374237b17e78f85865648e85679915f">erpcgen::SymbolScanner::handleProgram</a></div><div class="ttdeci">virtual AstNode * handleProgram(AstNode *node, top_down)</div><div class="ttdoc">This function start handle program. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:606</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a82ae6e13565cfd36fc2d77efa94e6fac"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a82ae6e13565cfd36fc2d77efa94e6fac">erpcgen::SymbolScanner::enumMemberHasValue</a></div><div class="ttdeci">bool enumMemberHasValue(AstNode *enumMember)</div><div class="ttdoc">Check to see if enum member is assigned a value by the user. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:322</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a5637e3a39559293f63e5dae8d28b45e9"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a5637e3a39559293f63e5dae8d28b45e9">erpcgen::SymbolScanner::handleExpr</a></div><div class="ttdeci">virtual AstNode * handleExpr(AstNode *node, bottom_up)</div><div class="ttdoc">This function start handle expression. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:1084</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a9ac20033318390d892f89e6b979c9cf6"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a9ac20033318390d892f89e6b979c9cf6">erpcgen::SymbolScanner::getValueForConst</a></div><div class="ttdeci">Value * getValueForConst(AstNode *const node, DataType *const constDataType)</div><div class="ttdoc">Gets the value object for the const variable. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:71</div></div>
<div class="ttc" id="class_value_html"><div class="ttname"><a href="class_value.html">Value</a></div><div class="ttdoc">Abstract base class for values of arbitrary types. </div><div class="ttdef"><b>Definition:</b> Value.h:49</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_aedf72c7d898a4da847f93fa8eaf5d5a2"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#aedf72c7d898a4da847f93fa8eaf5d5a2">erpcgen::SymbolScanner::m_currentEnum</a></div><div class="ttdeci">EnumType * m_currentEnum</div><div class="ttdef"><b>Definition:</b> SymbolScanner.h:109</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_acc5d03d6bc58fb5de9722d8aa869585c"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#acc5d03d6bc58fb5de9722d8aa869585c">erpcgen::SymbolScanner::m_currentProgram</a></div><div class="ttdeci">Program * m_currentProgram</div><div class="ttdef"><b>Definition:</b> SymbolScanner.h:108</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a0f8af1e3b8d1bb5cb4e1320269708a5c"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a0f8af1e3b8d1bb5cb4e1320269708a5c">erpcgen::SymbolScanner::handleInterface</a></div><div class="ttdeci">virtual AstNode * handleInterface(AstNode *node, top_down)</div><div class="ttdoc">This function start handle interface. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:883</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a4166eb7a9c84fbe956d528a98a45aaaa"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a4166eb7a9c84fbe956d528a98a45aaaa">erpcgen::SymbolScanner::handleFunction</a></div><div class="ttdeci">virtual AstNode * handleFunction(AstNode *node, top_down)</div><div class="ttdoc">This function start handle function. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:920</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scope_html"><div class="ttname"><a href="classerpcgen_1_1_symbol_scope.html">erpcgen::SymbolScope</a></div><div class="ttdoc">A scoped namespace containing symbols. </div><div class="ttdef"><b>Definition:</b> SymbolScope.h:49</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a97aaea9edc087a622eabbae8645b560c"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a97aaea9edc087a622eabbae8645b560c">erpcgen::SymbolScanner::rhsIsAnExpression</a></div><div class="ttdeci">bool rhsIsAnExpression(AstNode *rhs)</div><div class="ttdoc">Determines if the right hand side of a constant declaration is an expression. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:129</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a1b394122e66eb26f01e4544d87565fd5"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a1b394122e66eb26f01e4544d87565fd5">erpcgen::SymbolScanner::addAnnotations</a></div><div class="ttdeci">void addAnnotations(AstNode *childTok, Symbol *symbol)</div><div class="ttdoc">This function add annotations to vector of symbol annotations. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:1248</div></div>
<div class="ttc" id="classerpcgen_1_1_data_type_html"><div class="ttname"><a href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></div><div class="ttdoc">Base class for data types. </div><div class="ttdef"><b>Definition:</b> DataType.h:47</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a8939c9306c0bff547ab848bc7a8e3f0d"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a8939c9306c0bff547ab848bc7a8e3f0d">erpcgen::SymbolScanner::m_globals</a></div><div class="ttdeci">SymbolScope * m_globals</div><div class="ttdef"><b>Definition:</b> SymbolScanner.h:105</div></div>
<div class="ttc" id="classerpcgen_1_1_token_html"><div class="ttname"><a href="classerpcgen_1_1_token.html">erpcgen::Token</a></div><div class="ttdoc">Encapsulates all information about a token. </div><div class="ttdef"><b>Definition:</b> Token.h:69</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_acdc6221191a0e32e3c05c2709e38e030"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#acdc6221191a0e32e3c05c2709e38e030">erpcgen::SymbolScanner::createArrayType</a></div><div class="ttdeci">DataType * createArrayType(const AstNode *typeNode)</div><div class="ttdoc">This function returns pointer to new array object. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:1154</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_aebf449e771d235701c27d9aac189fe8e"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#aebf449e771d235701c27d9aac189fe8e">erpcgen::SymbolScanner::getValueFromSymbol</a></div><div class="ttdeci">Value * getValueFromSymbol(Token &amp;tok)</div><div class="ttdoc">Get value from symbol table for name defined by given token. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:1169</div></div>
<div class="ttc" id="classerpcgen_1_1_ast_walker_html_structerpcgen_1_1_ast_walker_1_1bottom__up"><div class="ttname"><a href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1bottom__up">erpcgen::AstWalker::bottom_up</a></div><div class="ttdoc">Specifier type to select bottom-up handler using ADL. </div><div class="ttdef"><b>Definition:</b> AstWalker.h:105</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a1555a6538ea9f825d4cc436d7374f556"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a1555a6538ea9f825d4cc436d7374f556">erpcgen::SymbolScanner::handleUnionCase</a></div><div class="ttdeci">virtual AstNode * handleUnionCase(AstNode *node, top_down)</div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:769</div></div>
<div class="ttc" id="classerpcgen_1_1_enum_type_html"><div class="ttname"><a href="classerpcgen_1_1_enum_type.html">erpcgen::EnumType</a></div><div class="ttdoc">Enumerate data type. </div><div class="ttdef"><b>Definition:</b> EnumType.h:49</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a75fb8d494d232ded8886d1b5b0e1f08f"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a75fb8d494d232ded8886d1b5b0e1f08f">erpcgen::SymbolScanner::handleBinaryOp</a></div><div class="ttdeci">virtual AstNode * handleBinaryOp(AstNode *node, bottom_up)</div><div class="ttdoc">This function end handle binary operator. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:342</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a2aa6a9af2a661c16316186b4412f69ae"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a2aa6a9af2a661c16316186b4412f69ae">erpcgen::SymbolScanner::setParameterDirection</a></div><div class="ttdeci">void setParameterDirection(StructMember *param, AstNode *directionNode)</div><div class="ttdoc">set parameter direction: in, out, inout </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:1043</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_af0f9c3c1b78a23f67825ebe583926385"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#af0f9c3c1b78a23f67825ebe583926385">erpcgen::SymbolScanner::createListType</a></div><div class="ttdeci">DataType * createListType(const AstNode *typeNode)</div><div class="ttdoc">This function returns pointer to new list object. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:1142</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_aaabfbb73f78416689085fc5786cd9dd6"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#aaabfbb73f78416689085fc5786cd9dd6">erpcgen::SymbolScanner::handleType</a></div><div class="ttdeci">virtual AstNode * handleType(AstNode *node, top_down)</div><div class="ttdoc">This function start handle type. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:171</div></div>
<div class="ttc" id="classerpcgen_1_1_union_type_html"><div class="ttname"><a href="classerpcgen_1_1_union_type.html">erpcgen::UnionType</a></div><div class="ttdoc">Discriminated union data type. </div><div class="ttdef"><b>Definition:</b> UnionType.h:49</div></div>
<div class="ttc" id="classerpcgen_1_1_interface_html"><div class="ttname"><a href="classerpcgen_1_1_interface.html">erpcgen::Interface</a></div><div class="ttdoc">An interface that contains functions. </div><div class="ttdef"><b>Definition:</b> Interface.h:50</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a34c988ade06d9265c796dd7147e4b877"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a34c988ade06d9265c796dd7147e4b877">erpcgen::SymbolScanner::SymbolScanner</a></div><div class="ttdeci">SymbolScanner(SymbolScope *globals)</div><div class="ttdoc">This function is constructor of symbol scanner class. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.h:65</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_af13428f3cef176398b31345eba8649c9"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#af13428f3cef176398b31345eba8649c9">erpcgen::SymbolScanner::handleUnion</a></div><div class="ttdeci">virtual AstNode * handleUnion(AstNode *node, top_down)</div><div class="ttdoc">Handles Union data type while traversing down the AST. </div><div class="ttdef"><b>Definition:</b> SymbolScanner.cpp:745</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a1ae5446ab7d2298aa7316a06f495e179"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a1ae5446ab7d2298aa7316a06f495e179">erpcgen::SymbolScanner::m_emptyUnionCases</a></div><div class="ttdeci">std::vector&lt; UnionCase * &gt; m_emptyUnionCases</div><div class="ttdef"><b>Definition:</b> SymbolScanner.h:112</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a644fd81c950549868ac71556d5107ff8"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a644fd81c950549868ac71556d5107ff8">erpcgen::SymbolScanner::m_currentUnion</a></div><div class="ttdeci">UnionType * m_currentUnion</div><div class="ttdef"><b>Definition:</b> SymbolScanner.h:111</div></div>
<div class="ttc" id="namespaceerpcgen_html"><div class="ttname"><a href="namespaceerpcgen.html">erpcgen</a></div><div class="ttdef"><b>Definition:</b> AstNode.h:47</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scanner_html_a0a1ec6e5b5fe8c8ff87ff309cdbe7d06"><div class="ttname"><a href="classerpcgen_1_1_symbol_scanner.html#a0a1ec6e5b5fe8c8ff87ff309cdbe7d06">erpcgen::SymbolScanner::m_currentAlias</a></div><div class="ttdeci">AliasType * m_currentAlias</div><div class="ttdef"><b>Definition:</b> SymbolScanner.h:110</div></div>
<div class="ttc" id="classerpcgen_1_1_ast_walker_html_structerpcgen_1_1_ast_walker_1_1top__down"><div class="ttname"><a href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1top__down">erpcgen::AstWalker::top_down</a></div><div class="ttdoc">Specifier type to select top-down handler using ADL. </div><div class="ttdef"><b>Definition:</b> AstWalker.h:102</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
